%define _provides_exceptions perl(Net::SNMP

Summary: NINO Network Management
Name: nino
License: GPL
Version: 4.1.8
#Packager: J. Gerstel
URL: http://sourceforge.net/projects/nino/
Source: nino-4.1.8.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch

# Depends on NetSNMP::SNMP.pm
#
# Mandrake:
%if %{_vendor} == Mandriva
Release: %mkrel 2
Vendor: Mandriva
#Distribution: Mandriva
Group: Monitoring
Requires: MySQL-client
Prereq: net-snmp, apache2-mod_perl, rpm-helper
# RedHat or Fedora:
%else
%if %{_vendor} == redhat
Release: fdr
Group: Applications/System
Requires: mysql, perl-Time-HiRes, perl-DBI
Prereq: net-snmp, net-snmp-perl, mod_perl, httpd
%else
%if %{_vendor} == suse
Release: suse
Group: System/Management
Requires: mysql, apache2, perl-DBI
Prereq: net-snmp, perl-SNMP
%else
Release: plf
Group: Applications/System
Prereq: net-snmp, rpm-helper
%endif
%endif
%endif



%description
NINO is a network management solution to monitor your
network, systems and applications: integrated, one tool for
all.  Features: SNMP, Service Response performance
monitoring, graphs with zoom, topology view, events, reporting
using HTML templates.

%prep

%setup -q

# No compiling needed, just put everything in /var/nino
# and run the /var/nino/scripts/install in %post

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/var/nino
mkdir -p %{buildroot}%{_initrddir}

cp -Rfp var %{buildroot}/
cp var/nino/scripts/nino %{buildroot}%{_initrddir}

# Install startup scripts, configure httpd.conf
%post
%if %{_vendor} == MandrakeSoft
%_post_service nino
%else
chkconfig --add nino
%endif
cd /var/nino/scripts
/var/nino/scripts/install

%preun
%if %{_vendor} == MandrakeSoft
%_preun_service nino
%else
chkconfig --del nino
%endif

cd /var/nino/scripts
/var/nino/scripts/cleanup

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/var/nino
%{_initrddir}/nino

%changelog
* Fri Sep 01 2006 Oden Eriksson <oeriksson@mandriva.com> 4.1.8-2
- stop making it provide perl(Net::SNMP*

* Tue Dec 20 2005 Stefan van der Eijk <stefan@eijk.nu> 4.1.8-1mdk
- initial Mandriva package

* Sat Sep 3 2005 Jorgen Gerstel <jgerstel@users.sourceforge.net> 4.1.8-SuSE
- Created 4.1.8 package for SuSE Linux 9.3
* Sat Aug 20 2005 Jorgen Gerstel <jgerstel@users.sourceforge.net> 4.1.8-mdk
- Created 4.1.8 package for Unix
- Improved availability and events report, added percent colum 
- Changed filename of Report statistics to <name><id>.<nr>.txt
- Several bugfixes 
* Sun Aug 14 2005 Jorgen Gerstel <jgerstel@users.sourceforge.net> 4.1.8-mdk
- Improved multihost/parallel ICMP Ping routine, moved to status.pl
- Improved Devices GUI, now only show monitored presets and preset groups
* Fri Jun 24 2005 Jorgen Gerstel <jgerstel@users.sourceforge.net> 4.1.7-mdk
- Created 4.1.7 package for Unix
* Sat Jun 18 2005 Jorgen Gerstel <jgerstel@users.sourceforge.net> 4.1.7-mdk
- Created 4.1.7 package for Windows, fixed Ping problems (length 32, status), improved 
  service response GUI, improved internal structure.
* Tue Apr 05 2005 Jorgen Gerstel <jgerstel@users.sourceforge.net> 4.1.6-mdk
- Improved services.pl, fixed bugs on report scheduler
* Wed Mar 30 2005 Jorgen Gerstel <jgerstel@users.sourceforge.net> 4.1.6-mdk
- Fixed some bugs, ICMP "no payload" firewall issue, AT scheduling issues for windows
* Mon Mar 28 2005 Jorgen Gerstel <jgerstel@users.sourceforge.net> 4.1.6-mdk
- Add new graph function to hostmeter, plot CPU/memory graphs of individual processes.
* Sat Mar 26 2005 Jorgen Gerstel <jgerstel@users.sourceforge.net> 4.1.6-mdk
- Change template "Edit" image, changes to authorization functions, add more logging to monitoring, add maintenance function to optimize MySQL. Added event/availability report for node groups. Graphtype (line, filled or summed) can now be saved in preset. Improved on missed polls (only once -2) to get rid of graph spikes and Node Down/Up events. Improved SQL queries in eventaction.
* Fri Mar 18 2005 Jorgen Gerstel <jgerstel@users.sourceforge.net> 4.1.6-mdk
- Mandrake adaptations to RPM spec file, reduce rpmlint errors, thanks to Stefan van der Eijk.
